
-----------------
-- // HowTo \\ --
-----------------
local HowTo = {}
local gfx = love.graphics
------------------------
-- // Declarations \\ --
------------------------ 
local image = {}

function HowTo:init()
    image.energy = gfx.newImage("gfx/item_energydrink.png")
    image.poison = gfx.newImage("gfx/item_poison.png")
    image.burger = gfx.newImage("gfx/item_burger.png")
    image.speed = gfx.newImage("gfx/item_speed.png") 
    image.stone = gfx.newImage("gfx/stone.png") 
end


function HowTo:enter()
  
end


function HowTo:leave()
  
end


function HowTo:update(dt)

end


function HowTo:draw()
  gfx.setColor(10, 10, 10, 150)
  gfx.rectangle("fill", 30, 50, WIDTH - 60, HEIGHT - 100)
  love.graphics.setFont(FONT.medium)
  gfx.setColor(255, 255, 255, 255)
  gfx.printf("How to Play", WIDTH / 2 - 300, 60, 600, "center")
  love.graphics.setFont(FONT.small)
  gfx.printf("Use the ARROW KEYS to move faster or slow down", WIDTH / 2 - 300, 140, 600, "center")
  gfx.printf("Use X to JUMP and C to ATTACK", WIDTH / 2 - 300, 160, 600, "center")
  gfx.printf("The green bar is your hunger! Eat souls or burgers to be less hungry.", WIDTH / 2 - 450, 180, 900, "center")
  gfx.printf("When poisoned, your hunger will drain faster, so be careful.", WIDTH / 2 - 450, 200, 900, "center")
  gfx.printf("The blue bar is your energy. Collect energydrinks to gain some power.", WIDTH / 2 - 450, 220, 900, "center")
  gfx.printf("While you run or attack, you lose power.", WIDTH / 2 - 450, 240, 900, "center")
  gfx.printf("Avoid these", WIDTH / 2 - 300, 260, 600, "center")
  gfx.draw(image.poison, WIDTH / 2 - 38, 280, 0, 3, 3)
  gfx.draw(image.stone, WIDTH / 2 + 9, 280, 0, 2, 2)
  gfx.printf("And collect these", WIDTH / 2 - 300, 320, 600, "center")
  gfx.draw(image.burger, WIDTH / 2 - 66, 344, 0, 3, 3)
  gfx.draw(image.speed, WIDTH / 2 - 10, 340, 0, 3, 3)  
  gfx.draw(image.energy, WIDTH / 2 + 35, 340, 0, 3, 3)  
  gfx.printf("ESCAPE to go BACK", WIDTH / 2 - 300, 400, 600, "center")
end


function HowTo:keypressed(key, unicode)
  if key == "escape" then SceneManager.setScene("Game") SceneManager.setOverlay("MainMenu") end
end

return HowTo
