------------------------
-- // Declarations \\ --
------------------------
local HUD        = {}

--Game Data
  --local _hunger, _power, _points, _life
  
--Sprites
	gfx.setDefaultFilter("nearest", "nearest")

  local _front = gfx.newImage("gfx/hud_bar_front.png")
  local _hungerbar = gfx.newImage("gfx/hud_hungerbar.png")
  local _energybar = gfx.newImage("gfx/hud_powerbar.png")
  
  local _scale = 4
  
--Barscale
  local _hungerscale, _energyscale
  


function HUD.reset()
  
end


function HUD.update(dt)
  _hungerscale = (PLAYER.hunger / PLAYER.maxHunger) * 4
  _energyscale = (PLAYER.energy / PLAYER.maxEnergy) * 4
end

function HUD.draw()
  
  
    gfx.setColor(255,255,255,255)
  --Bars  
    if PLAYER.poisonTime > 0 then gfx.setColor(0, 100, 0, 255) end
      gfx.draw(_hungerbar, WIDTH / 2 - _front:getWidth() / 2 * _scale + 20, 8, 0, _hungerscale, _scale)
    gfx.setColor(255,255,255,255)  
    
    gfx.draw(_energybar, WIDTH / 2 - _front:getWidth() / 2 * _scale + 36, 40, 0, _energyscale, _scale)
  --Base 
    gfx.draw(_front, WIDTH / 2 - _front:getWidth() / 2 * _scale, 0, 0, _scale, _scale)
    
  
end

return HUD
